# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # Get the details of a Zelle® Disbursement In this tutorial, you learn how to get the details of a Zelle® Disbursement. ## Before you begin To get the details of a Zelle® Disbursement request, you need the following: - A [registered and fully onboarded Developer Account](https://developer.payments.jpmorgan.com/docs/quick-start) on the J.P. Morgan Payments Developer Portal. - An active project that provides you with the credentials to make a request. - A paymentId provided in a [successful response](https://developer.payments.jpmorgan.com/docs/treasury/global-payments/capabilities/global-payments-2/push-to-wallet/how-to/initiate-p2w-request#confirm-the-response). ## Send a request From your command line, send a GET request to the /payments/{paymentId} endpoint. For example, the following code snippet contains a cURL command that gets the details of a Zelle® Disbursement. ```curl curl --request GET \ --url https://api-mock.payments.jpmorgan.com/payment/v2/payments/7a20f818-2144-4f76-919a-256d54b608e \ --header 'Accept: application/json' \ --header 'Request-Id: 1a2b3c4d-5e6f-7g8h-9i0j-1k2l3m4n5o6p' ``` A successful response contains the payment's status. For example, the following code snippet contains a response to the previous cURL command to get the details of a Zelle® Disbursement request. It's formatted in JSON so that it's easier to see. ```json { "payments": [ { "requestedExecutionDate": "2024-10-01", "paymentIdentifiers": { "endToEndId": "pflypSXGOjCVejwf" }, "value": { "currency": "USD", "amount": "10" }, "transferType": "CREDIT", "paymentType": "ZELLE", "debtor": { "account": { "accountNumber": "123456789" }, "name": "Alvin Chang" }, "debtorAgent": { "financialInstitutionIds": [ { "id": "CHASUS33", "idType": "BIC" } ] }, "creditor": { "account": { "alternateAccountIdentifiers": [ { "identifier": "Robert.brown@example.com", "idType": "EMAIL" } ] }, "name": "Robert Brown", "postalAddress": { "addressLines": [ "address line1", "address line2", "address line3", "address line4" ], "buildingNumber": "000", "streetName": "Creditor street name", "postalCode": "60603", "city": "Creditor City Name", "countrySubDivision": "IL", "country": "US" } }, "remittanceInformation": { "unstructuredInformation": [ { "text": "Payment for catering facilities - INVC009887" } ] }, "paymentStatus": "PROCESSING", "paymentId": "7a20f818-2144-4f76-919a-256d54b608e7", "paymentSubStatus": "PROCESSING_BY_JPM", "statusUpdatedAt": "2025-03-21T15:38:32Z" } ] } ```